<?xml version="1.0" encoding="utf-8"?>
<!--
~ Copyright (C) 2016 The Android Open Source Project
~
~ Licensed under the Apache License, Version 2.0 (the "License");
~ you may not use this file except in compliance with the License.
~ You may obtain a copy of the License at
~
~ http://www.apache.org/licenses/LICENSE-2.0
~
~ Unless required by applicable law or agreed to in writing, software
~ distributed under the License is distributed on an "AS IS" BASIS,
~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
~ See the License for the specific language governing permissions and
~ limitations under the License
-->
<!--
This XML file declares which signature|privileged permissions should be granted to privileged
applications that come with the platform
-->
<permissions>
    <privapp-permissions package="com.tmobile.echolocate">
        <permission name="android.permission.INSTALL_SELF_UPDATES"/> <!-- b/154259683 -->
        <permission name="android.permission.READ_LOGS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="diagandroid.app.receiveDetailedApplicationState"/>
        <permission name="diagandroid.phone.receiveDetailedCallState"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="com.tmobile.oem.echolocate.system.provider.trafficstats.TrafficStatsContentProvider.READ_TRAFFIC_STATS"/>
        <permission name="com.tmobile.oem.echolocate.system.provider.trafficstats.TrafficStatsContentProvider.WRITE_TRAFFIC_STATS"/>
        <permission name="android.permission.READ_NETWORK_USAGE_HISTORY"/>
        <deny-permission name="android.permission.SCHEDULE_EXACT_ALARM"/>
    </privapp-permissions>
</permissions>
